Magick++: Magick::DrawableTextDirection Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::DrawableTextDirection Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableTextDirection:
[legend]
Collaboration diagram for Magick::DrawableTextDirection:
[legend]

## Public Member Functions
| DrawableTextDirection (DirectionType direction_)
| ~DrawableTextDirection (void)
void | operator() (MagickCore::DrawingWand *context_) const
void | direction (DirectionType direction_)
DirectionType | direction (void) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 2140 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableTextDirection()

Magick::DrawableTextDirection::DrawableTextDirection | ( | DirectionType | direction_ | ) |

Definition at line 1567 of file Drawable.cpp.

## ◆ ~DrawableTextDirection()

Magick::DrawableTextDirection::~DrawableTextDirection | ( | void |  | ) |

Definition at line 1573 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableTextDirection::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1593 of file Drawable.cpp.

## ◆ direction() [1/2]

void Magick::DrawableTextDirection::direction | ( | DirectionType | direction_ | ) |

Definition at line 1583 of file Drawable.cpp.

## ◆ direction() [2/2]

Magick::DirectionType Magick::DrawableTextDirection::direction | ( | void |  | ) | const

Definition at line 1588 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableTextDirection::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1577 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp